module LarvaTagger

using PlanarLarvae, PlanarLarvae.Datasets, PlanarLarvae.Formats
using ObservationPolicies
using TidyObservables

using JSServe, WGLMakie
using JSServe: evaljs, onjs
using Makie
using Formatting
using Colors
using StaticArrays
using Statistics
using Observables
using Meshes
using Logging
import Dates
using OrderedCollections
using Random
using LinearAlgebra
using NearestNeighbors

export larvaviewer, larvaeditor

include("misc.jl")
include("models.jl")
include("edits.jl")
include("plots.jl")
include("players.jl")
include("controllers.jl")
include("Taggers.jl")
using .Taggers
include("files.jl")
include("backends.jl")

include("wgl.jl")
include("viewer.jl")
include("editor.jl")

end
